GDB (xrefs)

Static Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
gdb.command.explore.Explorer Class Reference
Inheritance diagram for gdb.command.explore.Explorer:

## Static Public Member Functions
def | guard_expr (expr)
def | explore_expr (expr, value, is_child)
def | explore_type (name, datatype, is_child)
def | init_env ()
def | is_scalar_type (type)
def | return_to_parent_value ()
def | return_to_parent_value_prompt ()
def | return_to_enclosing_type ()
def | return_to_enclosing_type_prompt ()
def | guard_expr (expr)
def | explore_expr (expr, value, is_child)
def | explore_type (name, datatype, is_child)
def | init_env ()
def | is_scalar_type (type)
def | return_to_parent_value ()
def | return_to_parent_value_prompt ()
def | return_to_enclosing_type ()
def | return_to_enclosing_type_prompt ()

## Static Public Attributes
| type_code_to_explorer_map

## Static Private Attributes
| _SCALAR_TYPE_LIST

## Detailed Description

    Internal class which invokes other explorers.

Definition at line 26 of file explore.py.

## Member Function Documentation

## ◆ explore_expr() [1/2]

def gdb.command.explore.Explorer.explore_expr | ( |  | expr,
|  |  | value,
|  |  | is_child
| ) |  |
| static

    Main function to explore an expression value.

    Arguments:
        expr: The expression string that is being explored.
        value: The gdb.Value value of the expression.
        is_child: Boolean value to indicate if the expression is a child.
          An expression is a child if it is derived from the main
          expression entered by the user.  For example, if the user
          entered an expression which evaluates to a struct, then
          when exploring the fields of the struct, is_child is set
          to True internally.

    Returns:
        No return value.

Definition at line 66 of file explore.py.

Referenced by gdb.command.explore.Explorer.explore_expr().

## ◆ explore_expr() [2/2]

def gdb.command.explore.Explorer.explore_expr | ( |  | expr,
|  |  | value,
|  |  | is_child
| ) |  |
| static

    Main function to explore an expression value.

    Arguments:
        expr: The expression string that is being explored.
        value: The gdb.Value value of the expression.
        is_child: Boolean value to indicate if the expression is a child.
          An expression is a child if it is derived from the main
          expression entered by the user.  For example, if the user
          entered an expression which evaluates to a struct, then
          when exploring the fields of the struct, is_child is set
          to True internally.

    Returns:
        No return value.

Definition at line 66 of file explore.py.

References gdb.command.explore.Explorer.explore_expr().

## ◆ explore_type() [1/2]

def gdb.command.explore.Explorer.explore_type | ( |  | name,
|  |  | datatype,
|  |  | is_child
| ) |  |
| static

    Main function to explore a data type.

    Arguments:
        name: The string representing the path to the data type being
      explored.
        datatype: The gdb.Type value of the data type being explored.
        is_child: Boolean value to indicate if the name is a child.
          A name is a child if it is derived from the main name
          entered by the user.  For example, if the user entered
          the name of struct type, then when exploring the fields
          of the struct, is_child is set to True internally.

    Returns:
        No return value.

Definition at line 92 of file explore.py.

Referenced by gdb.command.explore.Explorer.explore_type().

## ◆ explore_type() [2/2]

def gdb.command.explore.Explorer.explore_type | ( |  | name,
|  |  | datatype,
|  |  | is_child
| ) |  |
| static

    Main function to explore a data type.

    Arguments:
        name: The string representing the path to the data type being
      explored.
        datatype: The gdb.Type value of the data type being explored.
        is_child: Boolean value to indicate if the name is a child.
          A name is a child if it is derived from the main name
          entered by the user.  For example, if the user entered
          the name of struct type, then when exploring the fields
          of the struct, is_child is set to True internally.

    Returns:
        No return value.

Definition at line 92 of file explore.py.

References gdb.command.explore.Explorer.explore_type().

## ◆ guard_expr() [1/2]

def gdb.command.explore.Explorer.guard_expr | ( |  | expr | ) |
| static

Definition at line 42 of file explore.py.

Referenced by gdb.command.explore.Explorer.guard_expr().

## ◆ guard_expr() [2/2]

def gdb.command.explore.Explorer.guard_expr | ( |  | expr | ) |
| static

Definition at line 42 of file explore.py.

References gdb.command.explore.Explorer.guard_expr().

## ◆ init_env() [1/2]

def gdb.command.explore.Explorer.init_env | ( |  | ) |
| static

    Initializes the Explorer environment.
    This function should be invoked before starting any exploration.  If
    invoked before an exploration, it need not be invoked for subsequent
    explorations.

Definition at line 118 of file explore.py.

Referenced by gdb.command.explore.Explorer.init_env().

## ◆ init_env() [2/2]

def gdb.command.explore.Explorer.init_env | ( |  | ) |
| static

    Initializes the Explorer environment.
    This function should be invoked before starting any exploration.  If
    invoked before an exploration, it need not be invoked for subsequent
    explorations.

Definition at line 118 of file explore.py.

References gdb.command.explore.Explorer.init_env().

## ◆ is_scalar_type() [1/2]

def gdb.command.explore.Explorer.is_scalar_type | ( |  | type | ) |
| static

    Checks whether a type is a scalar type.
    A type is a scalar type of its type is
        gdb.TYPE_CODE_CHAR or
        gdb.TYPE_CODE_INT or
        gdb.TYPE_CODE_BOOL or
        gdb.TYPE_CODE_FLT or
        gdb.TYPE_CODE_VOID or
        gdb.TYPE_CODE_ENUM.

    Arguments:
        type: The type to be checked.

    Returns:
        'True' if 'type' is a scalar type. 'False' otherwise.

Definition at line 141 of file explore.py.

Referenced by gdb.command.explore.Explorer.is_scalar_type().

## ◆ is_scalar_type() [2/2]

def gdb.command.explore.Explorer.is_scalar_type | ( |  | type | ) |
| static

    Checks whether a type is a scalar type.
    A type is a scalar type of its type is
        gdb.TYPE_CODE_CHAR or
        gdb.TYPE_CODE_INT or
        gdb.TYPE_CODE_BOOL or
        gdb.TYPE_CODE_FLT or
        gdb.TYPE_CODE_VOID or
        gdb.TYPE_CODE_ENUM.

    Arguments:
        type: The type to be checked.

    Returns:
        'True' if 'type' is a scalar type. 'False' otherwise.

Definition at line 141 of file explore.py.

References gdb.command.explore.Explorer.is_scalar_type().

## ◆ return_to_enclosing_type() [1/2]

def gdb.command.explore.Explorer.return_to_enclosing_type | ( |  | ) |
| static

    A utility function which prints that the current exploration session
    is returning to the enclosing type.  Useful when exploring types.

Definition at line 175 of file explore.py.

Referenced by gdb.command.explore.Explorer.return_to_enclosing_type().

## ◆ return_to_enclosing_type() [2/2]

def gdb.command.explore.Explorer.return_to_enclosing_type | ( |  | ) |
| static

    A utility function which prints that the current exploration session
    is returning to the enclosing type.  Useful when exploring types.

Definition at line 175 of file explore.py.

References gdb.command.explore.Explorer.return_to_enclosing_type().

## ◆ return_to_enclosing_type_prompt() [1/2]

def gdb.command.explore.Explorer.return_to_enclosing_type_prompt | ( |  | ) |
| static

    A utility function which prompts the user to press the 'enter' key
    so that the exploration session can shift back to the enclosing type.
    Useful when exploring types.

Definition at line 182 of file explore.py.

References gdb.command.explore.raw_input.

Referenced by gdb.command.explore.Explorer.return_to_enclosing_type_prompt().

## ◆ return_to_enclosing_type_prompt() [2/2]

def gdb.command.explore.Explorer.return_to_enclosing_type_prompt | ( |  | ) |
| static

    A utility function which prompts the user to press the 'enter' key
    so that the exploration session can shift back to the enclosing type.
    Useful when exploring types.

Definition at line 182 of file explore.py.

References gdb.command.explore.raw_input, and gdb.command.explore.Explorer.return_to_enclosing_type_prompt().

## ◆ return_to_parent_value() [1/2]

def gdb.command.explore.Explorer.return_to_parent_value | ( |  | ) |
| static

    A utility function which prints that the current exploration session
    is returning to the parent value. Useful when exploring values.

Definition at line 160 of file explore.py.

Referenced by gdb.command.explore.Explorer.return_to_parent_value().

## ◆ return_to_parent_value() [2/2]

def gdb.command.explore.Explorer.return_to_parent_value | ( |  | ) |
| static

    A utility function which prints that the current exploration session
    is returning to the parent value. Useful when exploring values.

Definition at line 160 of file explore.py.

References gdb.command.explore.Explorer.return_to_parent_value().

## ◆ return_to_parent_value_prompt() [1/2]

def gdb.command.explore.Explorer.return_to_parent_value_prompt | ( |  | ) |
| static

    A utility function which prompts the user to press the 'enter' key
    so that the exploration session can shift back to the parent value.
    Useful when exploring values.

Definition at line 167 of file explore.py.

References gdb.command.explore.raw_input, and gdb.command.explore.Explorer.return_to_parent_value_prompt().

## ◆ return_to_parent_value_prompt() [2/2]

def gdb.command.explore.Explorer.return_to_parent_value_prompt | ( |  | ) |
| static

    A utility function which prompts the user to press the 'enter' key
    so that the exploration session can shift back to the parent value.
    Useful when exploring values.

Definition at line 167 of file explore.py.

References gdb.command.explore.raw_input.

Referenced by gdb.command.explore.Explorer.return_to_parent_value_prompt().

## Member Data Documentation

## ◆ _SCALAR_TYPE_LIST

gdb.command.explore.Explorer._SCALAR_TYPE_LIST
| static private

Definition at line 32 of file explore.py.

## ◆ type_code_to_explorer_map

gdb.command.explore.Explorer.type_code_to_explorer_map
| static

Definition at line 30 of file explore.py.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/explore.py